<?php

namespace App\Models;

use CodeIgniter\Model;

class ModelPelanggaran extends Model
{

    protected $table = 'tb_pelanggaran';

    protected $primaryKey = 'id_pelanggaran';

    protected $allowedFields = [

        'nama_pelanggaran',

        'skor',

        'kategori'

    ];

    public function grafikPelanggaran()
    {
        return $this->db->table('tb_pelanggaran p')
            ->select('
            p.nama_pelanggaran,
            COUNT(DISTINCT r.id_siswa) AS jumlah
        ')
            ->join(
                'tb_rekap_pelanggaran r',
                'r.id_pelanggaran = p.id_pelanggaran',
                'left'
            )
            ->groupBy('p.id_pelanggaran')
            ->orderBy('jumlah', 'DESC')
            ->get()
            ->getResultArray();
    }
}
